erlang-xmerl_19.2.1+dfsg-2+deb9u2_i386.deb


Advertisement

Description

erlang-xmerl - Erlang/OTP XML tools

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename erlang-xmerl_19.2.1+dfsg-2+deb9u2_i386.deb
Package name erlang-xmerl
Package version 19.2.1+dfsg
Package release 2+deb9u2
Package architecture i386
Package type deb
Category implemented-in::TODO interpreters works-with-format::xml
Homepage http://www.erlang.org/
License -
Maintainer Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Download size 962.76 KB
Installed size 1.54 MB
The xmerl application contains modules for processing XML.

Alternatives

Package Version Architecture Repository
erlang-xmerl_19.2.1+dfsg-2+deb9u2_amd64.deb 19.2.1+dfsg amd64 Debian Main
erlang-xmerl - - -

Requires

Name Value
erlang-base = 1:19.2.1+dfsg-2+deb9u2
erlang-base-hipe = 1:19.2.1+dfsg-2+deb9u2

Replaces

Name Value
erlang << 1:19.2.1+dfsg-2+deb9u2
erlang-base << 1:19.2.1+dfsg-2+deb9u2
erlang-base-hipe << 1:19.2.1+dfsg-2+deb9u2
erlang-dev << 1:19.2.1+dfsg-2+deb9u2
erlang-doc << 1:19.2.1+dfsg
erlang-doc >> 1:19.2.1+dfsg-999
erlang-examples << 1:19.2.1+dfsg-2+deb9u2
erlang-manpages <= 1:11.b.1-2
erlang-mode << 1:12.b.1-dfsg-2
erlang-nox << 1:19.2.1+dfsg-2+deb9u2
erlang-src << 1:19.2.1+dfsg-2+deb9u2
erlang-x11 << 1:19.2.1+dfsg-2+deb9u2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package erlang-xmerl_19.2.1+dfsg-2+deb9u2_i386.deb
Source Package erlang

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install erlang-xmerl deb package:
    # sudo apt-get install erlang-xmerl

Files

Path
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl.app
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl.appup
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_b64Bin.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_b64Bin_scan.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_eventp.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_html.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_lib.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_otpsgml.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_regexp.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sax_old_dom.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sax_parser.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sax_parser_latin1.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sax_parser_list.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sax_parser_utf16be.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sax_parser_utf16le.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sax_parser_utf8.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sax_simple_dom.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_scan.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_sgml.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_simple.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_text.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_ucs.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_uri.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_validate.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xlate.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xml.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xpath.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xpath_lib.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xpath_parse.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xpath_pred.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xpath_scan.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xs.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xsd.beam
/usr/lib/erlang/lib/xmerl-1.3.12/ebin/xmerl_xsd_type.beam
/usr/share/doc/erlang-xmerl/AUTHORS.gz
/usr/share/doc/erlang-xmerl/README.Debian.gz
/usr/share/doc/erlang-xmerl/TODO.Debian
/usr/share/doc/erlang-xmerl/changelog.Debian.gz
/usr/share/doc/erlang-xmerl/copyright

Changelog

2019-02-08 - Andreas Beckmann <anbe@debian.org>
erlang (1:19.2.1+dfsg-2+deb9u2) stretch; urgency=medium
[ Andreas Beckmann ]
* Non-maintainer upload.
* Backport removal of xemacs21 support from 1:21.2+dfsg-2.
[ Sergei Golovan ]
* Do not install Erlang mode for XEmacs since it isn't supposed to work
with it (closes: #909387).
2017-03-22 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.2.1+dfsg-2+deb9u1) stretch-security; urgency=high
* Applied a patch from the upstream which fixes CVE-2017-1000385
vulnerability (TLS server vunlerable to Adaptive Chosen Ciphertext attack
allowing plaintext recovery ot MITM attack).
2017-03-22 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.2.1+dfsg-2) unstable; urgency=high
* Applied a patch from the PCRE upstream which fixes CVE-2016-10253
vulnerability (heap overflow while compiling certain regular expressions).
The patch is taken from https://github.com/erlang/otp/pull/1108 and
modified to match the original patch by PCRE developers (closes: #858313).
2017-01-16 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.2.1+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
2016-12-14 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.2+dfsg-1) unstable; urgency=medium
* New upstream release.
* Refreshed patches.
* Removed the patch which fixed HiPE build with PIE enabled by default in
the GCC C compiler, because it's been applied upstream.
2016-11-19 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.6+dfsg-2) unstable; urgency=medium
* Use the solution from upstream to build HiPE if GCC enables PIE by default.
The previous one breaks erlang-wx (closes: #844593).
2016-11-11 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.6+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
2016-11-07 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.5+dfsg-2) unstable; urgency=medium
* Temporarily switched to libssl1.0-dev until porting to OpensSSL 1.1 is
complete.
* Added -fno-pie -no-pie GCC flags to make sure the HiPE build works
(closes: #842998).
* Enabled verbose build logs to make them more useful in debugging.
2016-10-21 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.5+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
2016-10-15 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.4+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.

See Also

Package Description
erlang-yapp_2.0.4+dfsg-1+b1_i386.deb Erlang application for deploying Yaws webserver applications
erlang-yaws_2.0.4+dfsg-1+b1_i386.deb Erlang application which implements HTTP webserver
erlang_19.2.1+dfsg-2+deb9u2_all.deb Concurrent, real-time, distributed functional language
erlsvc_1.02-2_i386.deb Command line interface for managing Erlang nodes
esajpip-doc_0.1~bzr33-4_all.deb ESA JPIP Server - doc
esajpip_0.1~bzr33-4+b1_i386.deb ESA JPIP Server
escputil_5.2.11-1+b2_i386.deb maintenance utility for Epson Stylus printers
esekeyd_1.2.7-1+b2_i386.deb multimedia keyboard daemon for Linux
esmtp-run_1.2-14_all.deb user configurable relay-only MTA - the regular MTA
esmtp_1.2-14_i386.deb user configurable relay-only MTA
esnacc-doc_1.8.1-1_all.deb ASN.1 to C or C++ or IDL compiler, documentation
esnacc_1.8.1-1_i386.deb ASN.1 to C or C++ or IDL compiler
esniper_2.32.0-1_i386.deb simple, lightweight tool for sniping ebay auctions
eso-midas_15.09pl1.0-2+b2_i386.deb European Southern Observatory Munich Image Data Analysis System
eso-pipelines_1.2_all.deb ESO VLT Instrument pipeline collection
Advertisement
Advertisement